// add-to-cart.dto.ts
import { isInt, IsInt, IsNotEmpty, IsNumber, min, Min } from 'class-validator';

export class AddToCartDto {
  @IsInt()  
  @IsNotEmpty()
  productId: number;

  @IsInt()
  @IsNotEmpty()
  @Min(1)
  quantity: number;
}
