import { Module } from '@nestjs/common';
import { JwtService } from '@nestjs/jwt';
import { JwtAuthGuard } from './auth.guard'; 
import { RedisService } from 'src/redis/redis.service';
import { JwtStrategy } from './jwt.strategy';

@Module({
  providers: [JwtService, JwtAuthGuard,RedisService,JwtStrategy],
  exports: [JwtService, JwtAuthGuard], 
})
export class AuthModule {}
